# Uses of Class
org.eclipse.birt.report.model.api.TableHandle

Packages that use TableHandle
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.elements.table

## Uses of TableHandle in org.eclipse.birt.report.model.api

Fields in org.eclipse.birt.report.model.api declared as TableHandle
Modifier and Type
Field
Description
`protected TableHandle`
TableColumnBandAdapter.`element`
The element where the copy/paste operation occurs.
`protected TableHandle`
TableRowBandAdapter.`element`
The element where the copy/paste operation occurs.

## Uses of TableHandle in org.eclipse.birt.report.model.api.elements.table

Methods in org.eclipse.birt.report.model.api.elements.table that return TableHandle
Modifier and Type
Method
Description
`TableHandle`
LayoutTable.`getTable()`
Returns the handle of the table that the layout belongs to.
`TableHandle`
LayoutTableModel.`getTable()`
Returns the table to which the layout model belongs.
Constructors in org.eclipse.birt.report.model.api.elements.table with parameters of type TableHandle
Modifier
Constructor
Description
``
`LayoutTableModel(TableHandle table)`
Constructs a `LayoutTableModel` with the given table element.